/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Construction;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Disclose;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 施工交底MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface DiscloseMapper extends BaseMapper<Disclose> {
    int newInsert(@Param("disclose") List<Disclose> disclose);

    int updateById(Disclose disclose);

    int findByProcInsId(String procInsId);

    void updateDiscloseByProcInsId(Construction construction);

    void insertDiscloseRole(Construction construction);
}